QGIS Application - Bug report #8099
Spatialite errors not meaningful
2013-06-18 03:03 AM - Matthias Kuhn

Status: Closed

Priority: Normal

Assignee: Giuseppe Sucameli

Category: Data Provider/SpatialLite

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16935
Description

When trying to connect to a spatialite db with missing columns in the tables "geometry_columns" or "spatial_ref_sys" the error message is
not verbose.

With QGIS 1.8 the error indicated, that the column e.g. "type" is missing.
Current master fails only with an "Unexpected error"

A verbose message saying which columns are missing on which tables would be very helpful.

Concerns: ggsspatialiteconnection.cpp => checkHasMetadataTables

Associated revisions

Revision ef838c79 - 2013-06-22 11:32 AM - Jiirgen Fischer

fix #8099: useful error message on table_info

History

#1 - 2013-06-22 02:32 AM - Jiirgen Fischer

- Subject changed from Spatialite errors not meaninful to Spatialite errors not meaningful

#2 - 2013-06-22 02:33 AM - Jiirgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"ef838c799f2a7e01b2057adc04c29d4bb484c2b7".

#3 - 2013-06-22 02:42 AM - Matthias Kuhn

- Status changed from Closed to Reopened

This patch does not solve the problem on a database with existing tables, but missing columns.

ogr2ogr produced such a database here:

sqlite> PRAGMA table_info(geometry_columns);

0|f_table_name|VARCHAR]|0||0
1|f_geometry_column|VARCHAR|0||0
2|geometry_type|INTEGER|0||0
3|coord_dimension|INTEGER|0||0
4|srid|INTEGER]|0||0
5|geometry_format|VARCHAR|0||0

sqlite> PRAGMA table_info(spatial_ref_sys);
0|srid|INTEGER]|0||0
1|auth_name|TEXT|0]|0

2lauth_srid| TEXT]0]|0
3|srtext| TEXT|0]|0

This also makes me wonder if the columns being checked here are really all needed?

#4 - 2013-10-01 07:12 AM - Jiirgen Fischer

- Status changed from Reopened to Closed

Fixed in changeset commit:"ef838c799f2a7e01b2057adc04c29d4bb484c2b7".
